neutron-agent-sriov fails to create port

Bug #1904730 reported by Michał Ajduk
36
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Queens
Undecided
Unassigned
Stein
Undecided
Unassigned
Train
Undecided
Unassigned
Ussuri
Undecided
Unassigned
Victoria
Undecided
Unassigned
Wallaby
Undecided
Unassigned
Xena
Undecided
Unassigned
pyroute2 (Ubuntu)
High
Billy Olsen
Bionic
High
Unassigned
Focal
High
Unassigned
Hirsute
High
Unassigned
Impish
High
Billy Olsen

Bug Description

[Impact]

Netlink calls to the kernel can return more than 16k bytes (they can return 32k on newer kernels). The pyroute2 library has a default buffer size of 16k and fails to read the data when kernel response data overflows this.

One example of where users encounter this is booting OpenStack instances with SRIOV when there are more than 32 VFs, as seen in the original problem description (included below).

[Test Case]

Use an SRIOV capable card and enable more than 32 VFs on a modern kernel. Attempt to launch an instance using OpenStack as follows:

1. Create example network:
$ juju switch openstack
$ source ~/deploy/novarc
$ openstack network create \
--provider-physical-network sriovfabric \
--provider-segment 300 \
--provider-network-type vlan \
test-sriov

$ openstack subnet create --network test-sriov \
  --no-dhcp \
  --gateway none \
  --subnet-range 192.168.1.0/24 test-sriov

2. Create ports over virtual function:
$ juju switch openstack
$ source ~/deploy/novarc
$ openstack port create \
--network test-sriov \
--vnic-type direct \
sriov-vf1

$ openstack server create \
--image bionic-kvm \
--flavor m1.small \
--network ext-net-300 \
--port sriov-vf1 \
--key-name ubuntu-keypair \
--availability-zone nova:cmp4az1cz20300kvs.mgt.pst.stg.tlc.example.com \
sriov-vf1

3. The instance stalls in build state (virsh list shows paused VM) and drops to ERROR

[Where problems could occur]

Problems may occur in existing customers already using openstack to schedule SRIOV instances and may show up as failure to build instances. Additional problems could include the increased memory usage of the nova processes which occurs by increasing the default buffer size. For tightly spec'd systems with small memory allocated to the host, this could further eat into any margin available and push memory usage over the edge.

Michał Ajduk (majduk)
summary: - neutron-agent-stiov fails to create port
+ neutron-agent-sriov fails to create port
Revision history for this message
Andrew McLeod (admcleod) wrote :

Would you be able to collect logs with debug enabled?

James Troup (elmo)
description: updated
Michael Skalka (mskalka)
information type: Public → Private
Changed in charm-ovn-chassis:
assignee: nobody → Andrew McLeod (admcleod)
Revision history for this message
Andrew McLeod (admcleod) wrote :

Waiting for reporter to redeploy and reproduce

Andrew McLeod (admcleod)
Changed in charm-ovn-chassis:
status: New → Incomplete
Revision history for this message
Michał Ajduk (majduk) wrote :

Redeploymen completed.

Applied:
juju config nova-compute-kvm-sriov aa-profile-mode=disable
juju config ovn-chassis-sriov debug=true
Logs:
0-11-24 10:35:04.984 31188 INFO neutron.plugins.ml2.drivers.mech_sriov.agent.sriov_nic_agent [req-e2d1efed-ae90-4be2-8dc2-4d06b5f262d8 - - - - -] RPC agent_id: nic-switch-agent.cmp4az1cz20300kvs
2020-11-24 10:35:04.987 31188 INFO neutron.agent.agent_extensions_manager [req-e2d1efed-ae90-4be2-8dc2-4d06b5f262d8 - - - - -] Loaded agent extensions: []
2020-11-24 10:35:05.191 31188 INFO neutron.plugins.ml2.drivers.mech_sriov.agent.sriov_nic_agent [req-e2d1efed-ae90-4be2-8dc2-4d06b5f262d8 - - - - -] Agent initialized successfully, now running...
2020-11-24 10:35:05.191 31188 INFO neutron.plugins.ml2.drivers.mech_sriov.agent.sriov_nic_agent [req-e2d1efed-ae90-4be2-8dc2-4d06b5f262d8 - - - - -] SRIOV NIC Agent RPC Daemon Started!

... boot VM ....
Logs:
2020-11-24 10:36:56.371 36164 WARNING pyroute2.netlink [-] Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1311, in _ft_decode_generic
    self.decode_nlas(offset)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1436, in decode_nlas
    offset)
struct.error: unpack_from requires a buffer of at least 4 bytes

Attaching neutron agent logs.

Revision history for this message
Michał Ajduk (majduk) wrote :

Attaching syslog.

Revision history for this message
Michał Ajduk (majduk) wrote :
Download full text (8.1 KiB)

Booting of the instance fails after ca 5 minutes:

Openstack server show output:
+-------------------------------------+----------------------------------------+ [58/270]
| Field | Value |
+-------------------------------------+----------------------------------------+
| OS-DCF:diskConfig | MANUAL |
| OS-EXT-AZ:availability_zone | |
| OS-EXT-SRV-ATTR:host | None |
| OS-EXT-SRV-ATTR:hypervisor_hostname | None |
| OS-EXT-SRV-ATTR:instance_name | instance-00000013 |
| OS-EXT-STS:power_state | NOSTATE |
| OS-EXT-STS:task_state | None |
| OS-EXT-STS:vm_state | error |
| OS-SRV-USG:launched_at | None |
| OS-SRV-USG:terminated_at | None |
| accessIPv4 | |
| accessIPv6 | |
| addresses | |
| config_drive | |
| created | 2020-11-24T10:36:46Z |
| fault | {'code': 500, 'created': |
| | '2020-11-24T10:42:02Z', 'message': |
| | 'Build of instance |
| | 08f4563b-65e3-4c4c-82e6-c03dd85fcd52 |
| | aborted: Failed to allocate the |
| | network(s), not rescheduling.', |
| | 'details': 'Traceback (most recent |
| | call last):\n File |
| | "/usr/lib/python3/dist- |
| | packages/nova/virt/libvirt/driver.py", |
| | line 6529, in |
| | _create_domain_and_network\n |
| | post_xml_callback=post_xml_callback)\n |
| | File |
| | "/usr/lib/python3.6/contextlib.py", |
| | line 88, in __exit__\n |
| | next(self.gen)\n File |
| | "/usr/lib/python3/dist- |
| | packages/nova/compute/manager.py", |
| ...

Read more...

Revision history for this message
Michał Ajduk (majduk) wrote :

It seems that there is a problem when numvfs > 32, lib.get_link_vfs fails do decode the output of listing the interfaces.

Reproduce:
cat << EOF > test.py
from neutron.privileged.agent.linux import ip_lib
ip_lib.get_link_vfs('ens3f0', None)
EOF

python3 test.py

This works fine with 32 VFs, but fails with 64:
root@cmp4az1cz20300kvs:~# python3 test.py
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1311, in _ft_decode_generic
    self.decode_nlas(offset)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1436, in decode_nlas
    offset)
struct.error: unpack_from requires a buffer of at least 4 bytes

AAAA neutron.privileged.agent.linux.ip_lib.get_link_vfs ('ens3f0', None) {} (5, 'builtins.TypeError', ("Cannot serialize error('unpack_from requires a buffer of at least 4 bytes',)",))
Traceback (most recent call last):
  File "test.py", line 2, in <module>
    ip_lib.get_link_vfs('ens3f0', None)
  File "/usr/lib/python3/dist-packages/oslo_privsep/priv_context.py", line 247, in _wrap
    return self.channel.remote_call(name, args, kwargs)
  File "/usr/lib/python3/dist-packages/oslo_privsep/daemon.py", line 205, in remote_call
    raise exc_type(*result[2])
TypeError: Cannot serialize error('unpack_from requires a buffer of at least 4 bytes',)

James Page (james-page)
Changed in charm-ovn-chassis:
status: Incomplete → Invalid
Revision history for this message
James Page (james-page) wrote :

pyroute2/common.py:DEFAULT_RCVBUF = 16384

However I think its possible for calls to netlink to return more data than that in later kernel versions - doubling this results in a full set of data being returned.

Revision history for this message
James Page (james-page) wrote :
Download full text (3.2 KiB)

quick hack test:

>>> ip_lib.get_link_vfs('enp129s0f1', None)
{0: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 1: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 2: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 3: {'mac': '00:00:00:00:00:00', '
link_state': 0}, 4: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 5: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 6: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 7: {'mac': '00:00
:00:00:00:00', 'link_state': 0}, 8: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 9: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 10: {'mac': '00:00:00:00:00:00', 'link_state': 0},
11: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 12: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 13: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 14: {'mac': '00:00:00:00:00:00'
, 'link_state': 0}, 15: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 16: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 17: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 18: {'mac':
 '00:00:00:00:00:00', 'link_state': 0}, 19: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 20: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 21: {'mac': '00:00:00:00:00:00', 'link_sta
te': 0}, 22: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 23: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 24: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 25: {'mac': '00:00:00:
00:00:00', 'link_state': 0}, 26: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 27: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 28: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 29
: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 30: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 31: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 32: {'mac': '00:00:00:00:00:00',
'link_state': 0}, 33: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 34: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 35: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 36: {'mac': '
00:00:00:00:00:00', 'link_state': 0}, 37: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 38: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 39: {'mac': '00:00:00:00:00:00', 'link_state
': 0}, 40: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 41: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 42: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 43: {'mac': '00:00:00:00
:00:00', 'link_state': 0}, 44: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 45: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 46: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 47:
{'mac': '00:00:00:00:00:00', 'link_state': 0}, 48: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 49: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 50: {'mac': '00:00:00:00:00:00', 'l
ink_state': 0}, 51: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 52: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 53: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 54: {'mac': '00
:00:00:00:00:00', 'link_state': 0}, 55: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 56: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 57: {'mac': '00:00:00:00:00:00', 'link_state':
 0}, 58: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 59: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 60: {'mac': '00:00:00:00:00:00', 'link_state': 0}, 61: {'mac': '00:00:0...

Read more...

Revision history for this message
James Page (james-page) wrote :
Revision history for this message
Billy Olsen (billy-olsen) wrote :

I've built a package of pyroute2 with the increased DEFAULT_RCVBUF size of 32k and forwarded a patch to upstream.

Please try out the pyroute2 version in this https://launchpad.net/~billy-olsen/+archive/ubuntu/pyroute2-lp1904730

Additionally, another work around is to reduce the number of VFs from 64 to 32. Not a great work around, but should enable testing.

Changed in pyroute2 (Ubuntu):
assignee: nobody → Billy Olsen (billy-olsen)
Revision history for this message
Billy Olsen (billy-olsen) wrote :

With workaround and test package available, reducing to field-high

Revision history for this message
Billy Olsen (billy-olsen) wrote :
Revision history for this message
Billy Olsen (billy-olsen) wrote :
Revision history for this message
Billy Olsen (billy-olsen) wrote :
Revision history for this message
Billy Olsen (billy-olsen) wrote :
Revision history for this message
Billy Olsen (billy-olsen) wrote :
Revision history for this message
Billy Olsen (billy-olsen) wrote :
no longer affects: charm-ovn-chassis
Changed in pyroute2 (Ubuntu):
status: New → In Progress
description: updated
Changed in pyroute2 (Ubuntu):
importance: Undecided → High
Changed in pyroute2 (Ubuntu Focal):
status: New → Triaged
Changed in pyroute2 (Ubuntu Hirsute):
status: New → Triaged
Changed in pyroute2 (Ubuntu Focal):
importance: Undecided → High
Changed in pyroute2 (Ubuntu Hirsute):
importance: Undecided → High
Revision history for this message
Corey Bryant (corey.bryant) wrote :

Thanks for the patches Billy. Patched versions of pyroute2 have been uploaded to impish, hirsute (unapproved), victoria-staging, and focal (unapproved). The additional patch for increasing the buffer to 64K has also been included ( https://github.com/svinota/pyroute2/pull/814 ).

Revision history for this message
Corey Bryant (corey.bryant) wrote :

With permission of others on this bug, can we delete any sensitive logs at this point and make this bug public?

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pyroute2 - 0.5.14-0ubuntu2

---------------
pyroute2 (0.5.14-0ubuntu2) impish; urgency=medium

  [ Billy Olsen ]
  * Increase default recv-buf size (LP: #1904730)
    - d/p/increase-recvbuf-size.patch-*: increase recvbuf size
      from 16k to 64k.

 -- Corey Bryant <email address hidden> Thu, 22 Jul 2021 16:39:24 -0400

Changed in pyroute2 (Ubuntu Impish):
status: In Progress → Fix Released
Revision history for this message
Robie Basak (racb) wrote :

This bug is referenced from SRU uploads, but is marked private. Please see https://wiki.ubuntu.com/StableReleaseUpdates#Procedure - bug references for SRUs must be public. Please fix this as appropriate - until then SRU processing is blocked. Thanks!

Revision history for this message
Corey Bryant (corey.bryant) wrote :

I'm going to go ahead and delete the sensitive log data from this bug.

description: updated
information type: Private → Public
Revision history for this message
Steve Langasek (vorlon) wrote : Please test proposed package

Hello Michał, or anyone else affected,

Accepted pyroute2 into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pyroute2/0.5.14-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in pyroute2 (Ubuntu Hirsute):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-hirsute
Changed in pyroute2 (Ubuntu Focal):
status: Triaged → Fix Committed
tags: added: verification-needed-focal
Revision history for this message
Steve Langasek (vorlon) wrote :

Hello Michał, or anyone else affected,

Accepted pyroute2 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pyroute2/0.5.9-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
James Page (james-page) wrote :

Sponsored patch for bionic update (in UNAPPROVED queue for SRU team review).

Changed in pyroute2 (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged
Revision history for this message
James Page (james-page) wrote :

Revision to test case to avoid need for all of openstack

[Test Case]
echo 63 | sudo tee /sys/class/net/enp3s0f0/device/sriov_numvfs
sudo apt install python3-neutron
sudo python3
>>> from neutron.privileged.agent.linux import ip_lib
>>> ip_lib.get_link_vfs('enp3s0f0', None)
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1311, in _ft_decode_generic
    self.decode_nlas(offset)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1435, in decode_nlas
    (length, base_msg_type) = struct.unpack_from('HH', self.data,
struct.error: unpack_from requires a buffer of at least 19212 bytes for unpacking 4 bytes at offset 19208 (actual buffer size is 16384)

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3/dist-packages/oslo_privsep/priv_context.py", line 247, in _wrap
    return self.channel.remote_call(name, args, kwargs)
  File "/usr/lib/python3/dist-packages/oslo_privsep/daemon.py", line 204, in remote_call
    raise exc_type(*result[2])
TypeError: can not serialize 'error' object

Revision history for this message
James Page (james-page) wrote :
Download full text (3.4 KiB)

focal-proposed:

$ sudo python3
Python 3.8.10 (default, Jun 2 2021, 10:49:15)
[GCC 9.4.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> from neutron.privileged.agent.linux import ip_lib
>>> ip_lib.get_link_vfs('enp3s0f0', None)
{0: {'mac': 'e6:f8:10:43:f5:6c', 'link_state': 0}, 1: {'mac': '16:cd:68:27:ba:76', 'link_state': 0}, 2: {'mac': '06:80:b4:9f:c5:9e', 'link_state': 0}, 3: {'mac': '92:37:10:5d:3b:86', 'link_state': 0}, 4: {'mac': '42:75:cb:09:93:78', 'link_state': 0}, 5: {'mac': '4e:aa:60:3b:1d:04', 'link_state': 0}, 6: {'mac': '2e:44:8a:08:71:82', 'link_state': 0}, 7: {'mac': 'fa:72:b3:51:81:2d', 'link_state': 0}, 8: {'mac': '6e:5f:e1:22:84:06', 'link_state': 0}, 9: {'mac': 'a2:2d:6b:84:3a:af', 'link_state': 0}, 10: {'mac': 'ee:6d:90:95:5f:22', 'link_state': 0}, 11: {'mac': '16:79:03:25:66:7b', 'link_state': 0}, 12: {'mac': 'ee:c8:56:4a:75:e8', 'link_state': 0}, 13: {'mac': '56:30:25:e8:df:c1', 'link_state': 0}, 14: {'mac': '76:d3:ea:aa:0c:09', 'link_state': 0}, 15: {'mac': 'c6:0f:2a:c6:a2:58', 'link_state': 0}, 16: {'mac': '1e:70:c6:45:3b:74', 'link_state': 0}, 17: {'mac': '5a:63:86:59:43:26', 'link_state': 0}, 18: {'mac': '56:29:8d:ac:cb:e2', 'link_state': 0}, 19: {'mac': '7e:34:75:7d:3e:de', 'link_state': 0}, 20: {'mac': '0e:e0:45:a3:8b:00', 'link_state': 0}, 21: {'mac': '6a:d7:43:81:2c:8c', 'link_state': 0}, 22: {'mac': '8a:83:f5:d3:31:d1', 'link_state': 0}, 23: {'mac': 'e6:08:e4:bd:c1:79', 'link_state': 0}, 24: {'mac': 'c6:1d:73:3d:9c:a6', 'link_state': 0}, 25: {'mac': 'ce:61:95:88:38:08', 'link_state': 0}, 26: {'mac': '3e:21:d4:bc:28:35', 'link_state': 0}, 27: {'mac': 'd2:c7:56:c8:fb:26', 'link_state': 0}, 28: {'mac': 'aa:de:6e:00:3e:13', 'link_state': 0}, 29: {'mac': '4a:47:c1:92:48:23', 'link_state': 0}, 30: {'mac': '5e:2b:60:4f:d4:6e', 'link_state': 0}, 31: {'mac': 'f2:64:c1:af:49:b7', 'link_state': 0}, 32: {'mac': '9a:d5:68:db:7a:bd', 'link_state': 0}, 33: {'mac': '16:9f:10:2c:e0:fc', 'link_state': 0}, 34: {'mac': 'b6:f6:c8:a8:c9:66', 'link_state': 0}, 35: {'mac': '62:54:ac:a3:45:8f', 'link_state': 0}, 36: {'mac': '96:7f:49:2b:82:b2', 'link_state': 0}, 37: {'mac': 'b2:ff:83:e5:18:3a', 'link_state': 0}, 38: {'mac': '42:96:69:bf:6e:51', 'link_state': 0}, 39: {'mac': 'e2:f8:19:8a:86:d4', 'link_state': 0}, 40: {'mac': 'e2:1e:b6:79:b5:f2', 'link_state': 0}, 41: {'mac': '06:b8:04:14:67:7a', 'link_state': 0}, 42: {'mac': '9e:0c:a0:5b:0f:00', 'link_state': 0}, 43: {'mac': '32:b2:4e:d4:83:33', 'link_state': 0}, 44: {'mac': '96:f9:05:31:81:e1', 'link_state': 0}, 45: {'mac': '2e:0e:e3:f0:6e:24', 'link_state': 0}, 46: {'mac': 'fa:95:1d:9c:c5:9b', 'link_state': 0}, 47: {'mac': '2a:9e:69:16:c0:04', 'link_state': 0}, 48: {'mac': 'b6:3e:6d:63:c6:01', 'link_state': 0}, 49: {'mac': '42:24:89:2b:b4:2e', 'link_state': 0}, 50: {'mac': 'ae:9d:ad:22:37:76', 'link_state': 0}, 51: {'mac': 'b2:f0:4c:15:6d:1d', 'link_state': 0}, 52: {'mac': '42:07:bc:96:28:65', 'link_state': 0}, 53: {'mac': '22:d5:9e:d1:40:fd', 'link_state': 0}, 54: {'mac': 'c6:10:07:fd:87:f6', 'link_state': 0}, 55: {'mac': '5a:5b:f1:d6:46:14', 'link_state': 0}, 56: {'mac': 'b2:55:f8:90:0a:7a', 'link_state': 0}, 57: {'mac': 'ba:37:61:76:4d:1a', '...

Read more...

tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
James Page (james-page) wrote :
Download full text (3.4 KiB)

hirsute-proposed

$ python3
Python 3.9.5 (default, May 11 2021, 08:20:37)
[GCC 10.3.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> from neutron.privileged.agent.linux import ip_lib
>>> ip_lib.get_link_vfs('enp3s0f0', None)
{0: {'mac': 'c6:86:05:6c:c2:78', 'link_state': 0}, 1: {'mac': 'ca:12:e9:65:2a:65', 'link_state': 0}, 2: {'mac': '7a:c8:73:c6:b3:d9', 'link_state': 0}, 3: {'mac': '12:16:e7:9b:3b:88', 'link_state': 0}, 4: {'mac': '52:13:93:c3:e4:12', 'link_state': 0}, 5: {'mac': 'c6:35:91:b5:eb:4c', 'link_state': 0}, 6: {'mac': '9e:a5:51:b4:e0:86', 'link_state': 0}, 7: {'mac': 'c2:9f:b7:3d:d8:3f', 'link_state': 0}, 8: {'mac': '3e:40:89:06:c1:91', 'link_state': 0}, 9: {'mac': '92:9b:2f:33:0e:ea', 'link_state': 0}, 10: {'mac': '7e:42:f6:60:d0:43', 'link_state': 0}, 11: {'mac': 'fe:83:1c:f8:60:53', 'link_state': 0}, 12: {'mac': 'e2:c8:76:1d:6e:88', 'link_state': 0}, 13: {'mac': '9e:92:a4:2f:1a:01', 'link_state': 0}, 14: {'mac': '3a:29:62:fb:64:b2', 'link_state': 0}, 15: {'mac': 'f2:49:61:df:00:f8', 'link_state': 0}, 16: {'mac': '9e:2f:57:8f:b9:aa', 'link_state': 0}, 17: {'mac': '1a:95:59:ea:34:78', 'link_state': 0}, 18: {'mac': '26:14:2a:6d:f9:b2', 'link_state': 0}, 19: {'mac': '3e:7b:ca:6e:14:5f', 'link_state': 0}, 20: {'mac': 'da:35:5a:c5:82:a6', 'link_state': 0}, 21: {'mac': 'e6:86:63:ec:e1:ed', 'link_state': 0}, 22: {'mac': '16:5d:81:16:af:14', 'link_state': 0}, 23: {'mac': '86:9d:67:3b:5d:0b', 'link_state': 0}, 24: {'mac': 'be:a3:b8:3f:9e:9a', 'link_state': 0}, 25: {'mac': 'aa:0c:53:fa:b2:99', 'link_state': 0}, 26: {'mac': 'fe:c2:91:41:7a:b0', 'link_state': 0}, 27: {'mac': 'ce:72:a7:30:3c:bf', 'link_state': 0}, 28: {'mac': '7a:c6:9a:e0:f7:6d', 'link_state': 0}, 29: {'mac': '7e:23:82:e9:cb:dd', 'link_state': 0}, 30: {'mac': '6a:1e:4d:48:7c:85', 'link_state': 0}, 31: {'mac': '5a:47:1e:3d:27:a8', 'link_state': 0}, 32: {'mac': 'f2:24:df:90:42:3d', 'link_state': 0}, 33: {'mac': '9e:b8:46:57:52:a5', 'link_state': 0}, 34: {'mac': 'd6:bb:d4:ae:37:e5', 'link_state': 0}, 35: {'mac': 'ce:80:6d:f6:c4:ad', 'link_state': 0}, 36: {'mac': 'd6:d7:54:3f:d5:03', 'link_state': 0}, 37: {'mac': '86:1c:84:a6:21:e7', 'link_state': 0}, 38: {'mac': 'c2:62:c7:ee:f5:93', 'link_state': 0}, 39: {'mac': '6e:e6:ce:bf:b3:08', 'link_state': 0}, 40: {'mac': '62:8a:47:7f:3e:83', 'link_state': 0}, 41: {'mac': 'ce:53:b4:4e:eb:90', 'link_state': 0}, 42: {'mac': 'ea:a2:95:2b:70:62', 'link_state': 0}, 43: {'mac': '2e:e0:95:cc:97:d4', 'link_state': 0}, 44: {'mac': '3a:00:2e:26:0c:27', 'link_state': 0}, 45: {'mac': '96:a4:ef:7a:b8:e6', 'link_state': 0}, 46: {'mac': '36:a3:24:35:5c:ee', 'link_state': 0}, 47: {'mac': '4e:78:c7:f7:80:7b', 'link_state': 0}, 48: {'mac': 'b6:91:b7:24:a9:2c', 'link_state': 0}, 49: {'mac': '8a:b8:cf:17:cf:88', 'link_state': 0}, 50: {'mac': '7e:09:13:a5:ac:c8', 'link_state': 0}, 51: {'mac': 'be:c1:46:be:bf:67', 'link_state': 0}, 52: {'mac': '7a:8d:d0:89:bb:f1', 'link_state': 0}, 53: {'mac': 'ba:fd:fa:97:e8:fd', 'link_state': 0}, 54: {'mac': 'aa:50:37:b1:ec:b8', 'link_state': 0}, 55: {'mac': '76:22:2f:a7:62:c5', 'link_state': 0}, 56: {'mac': 'c2:a0:8d:23:ac:2c', 'link_state': 0}, 57: {'mac': '62:1d:47:7e:21:62', 'link...

Read more...

tags: added: verification-done verification-done-hirsute
removed: verification-needed verification-needed-hirsute
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pyroute2 - 0.5.14-0ubuntu1.1

---------------
pyroute2 (0.5.14-0ubuntu1.1) hirsute; urgency=medium

  [ Billy Olsen ]
  * Increase default recv-buf size (LP: #1904730)
    - d/p/increase-recvbuf-size.patch-*: increase recvbuf size
      from 16k to 64k.

 -- Corey Bryant <email address hidden> Thu, 22 Jul 2021 16:39:24 -0400

Changed in pyroute2 (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Update Released

The verification of the Stable Release Update for pyroute2 has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pyroute2 - 0.5.9-0ubuntu2

---------------
pyroute2 (0.5.9-0ubuntu2) focal; urgency=medium

  [ Billy Olsen ]
  * Increase default recv-buf size (LP: #1904730)
    - d/p/increase-recvbuf-size.patch-*: increase recvbuf size
      from 16k to 64k.

 -- Corey Bryant <email address hidden> Thu, 22 Jul 2021 16:39:24 -0400

Changed in pyroute2 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Robie Basak (racb) wrote : Please test proposed package

Hello Michał, or anyone else affected,

Accepted pyroute2 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pyroute2/0.4.21-0.1ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in pyroute2 (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-bionic
removed: verification-done
Revision history for this message
Billy Olsen (billy-olsen) wrote :

For bionic, the provided test case needs some tweaks as the neutron version on bionic does not have the provided functions. Instead, I've written a quick test script that will exercise the pyroute2 code path to exercise the errors. Still requires enabling vfs as James did.

Simple script is:

#!/usr/bin/python3
import pyroute2

ip = pyroute2.IPRoute()
devname = 'enp3s0f0'
link_idx = ip.link_lookup(ifname=devname)[0]
link = ip.link('get', index=link_idx, ext_mask=1)[0]

num_vfs = link.get_attr('IFLA_NUM_VF')
print(num_vfs)

Running test on bionic without this fix to prove its enough to show the error:

$ dpkg -l | grep python3-pyroute2
ii python3-pyroute2 0.4.21-0.1ubuntu2 all Python3 Netlink library

$ sudo ./lp1904730-test.py
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1232, in _ft_decode_generic
    self.decode_nlas(offset)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1357, in decode_nlas
    offset)
struct.error: unpack_from requires a buffer of at least 4 bytes

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./lp1904730-test.py", line 7, in <module>
    link = ip.link('get', index=link_idx, ext_mask=1)[0]
  File "/usr/lib/python3/dist-packages/pyroute2/iproute.py", line 1310, in link
    msg_flags=msg_flags)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 804, in nlm_request
    return do_try()
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 783, in do_try
    callback=callback)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 648, in get
    raise msg['header']['error']
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 171, in parse
    msg.decode()
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 941, in decode
    self._ft_decode(self, offset)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1235, in _ft_decode_generic
    raise NetlinkNLADecodeError(e)
pyroute2.netlink.exceptions.NetlinkNLADecodeError: unpack_from requires a buffer of at least 4 bytes

Running with the proposed patch:

$ dpkg -l | grep python3-pyroute2
ii python3-pyroute2 0.4.21-0.1ubuntu2.1 all Python3 Netlink library
$ sudo ./lp1904730-test.py
63

tags: added: verification-done verification-done-bionic
removed: verification-needed
tags: removed: verification-needed-bionic
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pyroute2 - 0.4.21-0.1ubuntu2.1

---------------
pyroute2 (0.4.21-0.1ubuntu2.1) bionic; urgency=medium

  * Increase default recv-buf size (LP: #1904730)
    - d/p/increase-recvbuf-size.patch: increase recvbuf size
      from 16k to 32k.

 -- Billy Olsen <email address hidden> Thu, 10 Dec 2020 12:49:54 -0700

Changed in pyroute2 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Billy Olsen (billy-olsen) wrote :
Download full text (4.5 KiB)

Verified for focal-wallaby using test script in comment #33.

ubuntu@node-lepaute:~$ dpkg -l | grep pyroute2
ii python3-pyroute2 0.5.14-0ubuntu1~cloud0 all Python3 Netlink library
ubuntu@node-lepaute:~$ echo 63 | sudo tee /sys/class/net/enp3s0f0/device/sriov_numvfs
63
ubuntu@node-lepaute:~$ ./test-lp1904730.sh
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1345, in _ft_decode_generic
    self.decode_nlas(offset)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1469, in decode_nlas
    (length, base_msg_type) = struct.unpack_from('HH', self.data,
struct.error: unpack_from requires a buffer of at least 19212 bytes for unpacking 4 bytes at offset 19208 (actual buffer size is 16384)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./test-lp1904730.sh", line 7, in <module>
    link = ip.link('get', index=link_idx, ext_mask=1)[0]
  File "/usr/lib/python3/dist-packages/pyroute2/iproute/linux.py", line 1358, in link
    ret = self.nlm_request(msg,
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 376, in nlm_request
    return tuple(self._genlm_request(*argv, **kwarg))
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 867, in nlm_request
    for msg in self.get(msg_seq=msg_seq,
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 379, in get
    return tuple(self._genlm_get(*argv, **kwarg))
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 704, in get
    raise msg['header']['error']
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 177, in parse
    msg.decode()
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/rtnl/ifinfmsg/__init__.py", line 1092, in decode
    nlmsg.decode(self)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1016, in decode
    self._ft_decode(self, offset)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1348, in _ft_decode_generic
    raise NetlinkNLADecodeError(e)
pyroute2.netlink.exceptions.NetlinkNLADecodeError: unpack_from requires a buffer of at least 19212 bytes for unpacking 4 bytes at offset 19208 (actual buffer size is 16384)

ubuntu@node-lepaute:~$ sudo add-apt-repository cloud-archive:wallaby-proposed
 Ubuntu Cloud Archive for OpenStack Wallaby [proposed]
 More info: https://wiki.ubuntu.com/OpenStack/CloudArchive
Press [ENTER] to continue or Ctrl-c to cancel adding it.

Reading package lists...
Building dependency tree...
Reading state information...
ubuntu-cloud-keyring is already the newest version (2020.02.11.4).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Get:1 http://ubuntu-cloud.archive.canonical.com/ubuntu focal-proposed/wallaby InRelease [8771 B]
Hit:2 http://ubuntu-cloud.archive.canonical.com/ubuntu focal-updates/wallaby InRelease
Hit:3 http://archive.ubuntu.com/ubuntu focal InRelease
Get:4 http://ubuntu-cloud.archive.canonical.com/ubuntu focal-proposed/wallaby/main amd64 Packages [155 kB]
Get:5 http://archive.ubunt...

Read more...

tags: added: verification-done-focal-wallaby
Revision history for this message
Billy Olsen (billy-olsen) wrote :

Verified for bionic-ussuri using the test script in comment #33

ubuntu@node-lepaute:~$ dpkg -l | grep pyroute2
ii python3-pyroute2 0.5.9-0ubuntu1~cloud0 all Python3 Netlink library
ubuntu@node-lepaute:~$ echo 63 | sudo tee /sys/class/net/enp3s0f0/device/sriov_numvfs
63
ubuntu@node-lepaute:~$ ./test-lp1904730.sh
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1311, in _ft_decode_generic
    self.decode_nlas(offset)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1436, in decode_nlas
    offset)
struct.error: unpack_from requires a buffer of at least 4 bytes

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./test-lp1904730.sh", line 7, in <module>
    link = ip.link('get', index=link_idx, ext_mask=1)[0]
  File "/usr/lib/python3/dist-packages/pyroute2/iproute/linux.py", line 1332, in link
    msg_flags=msg_flags)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 373, in nlm_request
    return tuple(self._genlm_request(*argv, **kwarg))
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 864, in nlm_request
    callback=callback):
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 376, in get
    return tuple(self._genlm_get(*argv, **kwarg))
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 701, in get
    raise msg['header']['error']
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 177, in parse
    msg.decode()
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/rtnl/ifinfmsg/__init__.py", line 1087, in decode
    nlmsg.decode(self)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 982, in decode
    self._ft_decode(self, offset)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1314, in _ft_decode_generic
    raise NetlinkNLADecodeError(e)
pyroute2.netlink.exceptions.NetlinkNLADecodeError: unpack_from requires a buffer of at least 4 bytes
ubuntu@node-lepaute:~$ sudo add-apt-repository cloud-archive:ussuri-proposed
 Ubuntu Cloud Archive for OpenStack Ussuri [proposed]
 More info: https://wiki.ubuntu.com/OpenStack/CloudArchive
Press [ENTER] to continue or Ctrl-c to cancel adding it.
...
ubuntu@node-lepaute:~$ sudo apt-get upgrade python3-pyroute2
...
ubuntu@node-lepaute:~$ dpkg -l | grep pyroute2
ii python3-pyroute2 0.5.9-0ubuntu2~cloud0 all Python3 Netlink library
ubuntu@node-lepaute:~$ ./test-lp1904730.sh
63

tags: added: verification-done-bionic-ussuri
Revision history for this message
Chris MacNaughton (chris.macnaughton) wrote :

This does seem to be available into Victoria-proposed as well so I'm marking this as needing verification for Victoria, as well as being fix-committed

tags: added: verification-needed-victoria
Revision history for this message
Billy Olsen (billy-olsen) wrote :
Download full text (3.4 KiB)

Verified for focal-victoria using the test script in comment #33

ubuntu@node-lepaute:~$ dpkg -l | grep pyroute2
ii python3-pyroute2 0.5.14-0ubuntu1~cloud0 all Python3 Netlink library
ubuntu@node-lepaute:~$ echo 63 | sudo tee /sys/class/net/enp3s0f0/device/sriov_numvfs
63
ubuntu@node-lepaute:~$ ./test-lp1904730.sh
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1345, in _ft_decode_generic
    self.decode_nlas(offset)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1469, in decode_nlas
    (length, base_msg_type) = struct.unpack_from('HH', self.data,
struct.error: unpack_from requires a buffer of at least 19212 bytes for unpacking 4 bytes at offset 19208 (actual buffer size is 16384)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "./test-lp1904730.sh", line 7, in <module>
    link = ip.link('get', index=link_idx, ext_mask=1)[0]
  File "/usr/lib/python3/dist-packages/pyroute2/iproute/linux.py", line 1358, in link
    ret = self.nlm_request(msg,
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 376, in nlm_request
    return tuple(self._genlm_request(*argv, **kwarg))
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 867, in nlm_request
    for msg in self.get(msg_seq=msg_seq,
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 379, in get
    return tuple(self._genlm_get(*argv, **kwarg))
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 704, in get
    raise msg['header']['error']
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/nlsocket.py", line 177, in parse
    msg.decode()
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/rtnl/ifinfmsg/__init__.py", line 1092, in decode
    nlmsg.decode(self)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1016, in decode
    self._ft_decode(self, offset)
  File "/usr/lib/python3/dist-packages/pyroute2/netlink/__init__.py", line 1348, in _ft_decode_generic
    raise NetlinkNLADecodeError(e)
pyroute2.netlink.exceptions.NetlinkNLADecodeError: unpack_from requires a buffer of at least 19212 bytes for unpacking 4 bytes at offset 19208 (actual buffer size is 16384)

ubuntu@node-lepaute:~$ sudo add-apt-repository cloud-archive:victoria-proposed
 Ubuntu Cloud Archive for OpenStack Victoria [proposed]
 More info: https://wiki.ubuntu.com/OpenStack/CloudArchive
Press [ENTER] to continue or Ctrl-c to cancel adding it.
...

ubuntu@node-lepaute:~$ sudo apt-get upgrade python3-pyroute2
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  alsa-ucm-conf apport cloud-init distro-info-data libnetplan0 netplan.io open-vm-tools python3-apport python3-cryptography python3-importlib-metadata python3-openssl python3-problem-report python3-pyroute2
  python3-requests squashfs-tools
15 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
5 standard security updates
Need to get 228...

Read more...

Revision history for this message
Corey Bryant (corey.bryant) wrote : Update Released

The verification of the Stable Release Update for pyroute2 has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package pyroute2 - 0.5.14-0ubuntu1.1~cloud0
---------------

 pyroute2 (0.5.14-0ubuntu1.1~cloud0) focal-wallaby; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 pyroute2 (0.5.14-0ubuntu1.1) hirsute; urgency=medium
 .
   [ Billy Olsen ]
   * Increase default recv-buf size (LP: #1904730)
     - d/p/increase-recvbuf-size.patch-*: increase recvbuf size
       from 16k to 64k.

tags: removed: verification-needed-victoria
Revision history for this message
Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for pyroute2 has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package pyroute2 - 0.5.14-0ubuntu1~cloud1
---------------

 pyroute2 (0.5.14-0ubuntu1~cloud1) focal-victoria; urgency=medium
 .
   [ Billy Olsen ]
   * Increase default recv-buf size (LP: #1904730)
     - d/p/increase-recvbuf-size.patch-*: increase recvbuf size
       from 16k to 64k.

Revision history for this message
Corey Bryant (corey.bryant) wrote :

The verification of the Stable Release Update for pyroute2 has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package pyroute2 - 0.5.9-0ubuntu2~cloud0
---------------

 pyroute2 (0.5.9-0ubuntu2~cloud0) bionic-ussuri; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 pyroute2 (0.5.9-0ubuntu2) focal; urgency=medium
 .
   [ Billy Olsen ]
   * Increase default recv-buf size (LP: #1904730)
     - d/p/increase-recvbuf-size.patch-*: increase recvbuf size
       from 16k to 64k.

Revision history for this message
Corey Bryant (corey.bryant) wrote : Please test proposed package

Hello Michał, or anyone else affected,

Accepted pyroute2 into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-queens-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.